Summary:	The basic directory layout for a Linux system.
Name:		filesystem
Group:		System Environment/Base
License:	GPL
Version:	1.3.7
Release:	3
Source0:	%{name}-%{version}.tar.gz
Provides:	filesystem
Prereq:		setup
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{release}-root

%description
The filesystem package is one of the basic packages that is installed on
an EnGarde Secure Linux system. Filesystem contains the basic directory
layout for a Linux operating system, including the correct permissions
for the directories.

%files
  %defattr(711,root,root)
  /bin
  %attr(0700,root,root)	/boot
  /etc
  %attr(0755,root,root)	/home
  /lib
  %dir /mnt
  %attr(775,root,root) /mnt/floppy
  %attr(775,root,root) /mnt/cdrom
  %attr(511,root,root) /proc
  %attr(750,root,root) /root
  /sbin
  %attr(750,root,admin) /sys
  %attr(750,root,admin) /selinux
  %attr(1777,root,root) /tmp
  /usr
  %dir /var
  /var/db
  /var/lib
  %dir %attr(770,root,admin) /var/account
  %dir %attr(751,root,admin) /var/lock
  %dir %attr(700,root,root) /var/crash
  %attr(770,root,root) /var/lock/subsys
  /var/cache
  %attr(755,root,admin)	/var/log
  %attr(0750,root,admin)	/var/BACKUP
  /var/run
  %dir /var/spool
  %attr(775,root,mail) /var/spool/mail
  %attr(775,root,mail) /var/mail
  %attr(775,root,mail) /var/spool/mqueue
  /var/state
  %attr(1777,root,root) /var/tmp

%prep
%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir $RPM_BUILD_ROOT
  cd $RPM_BUILD_ROOT
  tar xzf %{SOURCE0}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 25 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 1.3.7, Release 3
  - Added /sys and /selinux

* Mon Jul 25 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.3.7, Release 2
  - Bump release so APT recognizes that we are newer.

* Tue Jun 28 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 1.3.7, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
